
TYPO3.Neos - Feature # 43156

Status: Resolved Priority: Should have
Author: Adrian Föder Category: UI
Created: 2012-11-20 Assigned To: Adrian Föder
Updated: 2013-02-13 Due date:
Subject: Allow inclusion of CSS files in Backend modules
Description

allow an additional configuration directive at
 1TYPO3:
 2  Neos:
 3    modules:
 4      administration:
 5        submodules:
 6          sample:
 7            label: 'An example module'
 8            controller: 'Acme\Foobar\Controller\Module\Administration\SampleController'
 9            description: >
10              This is just a description for the controller.
11              Note the additional "resources.css|js" directives.
12            icon: 'resource://TYPO3.Neos/Public/Images/Icons/Black/notepad_icon-24.png'
13            additionalResources:
14              styleSheets:
15                - resource://Acme.Foobar/Public/Css/Module/Sample.css
16              javaScripts:
17                - resource://Acme.Foobar/Public/JavaScript/Module/Foo.js
18                - resource://Acme.Foobar/Public/JavaScript/Module/Bar.js
19

We need to be aware of the upcoming asset handling then and modify this appropriately.

Related issues:
related to TYPO3 Flow Base Distribution - Story # 42407: Asset Management New 2012-10-26

Associated revisions
Revision bc656b2a - 2012-11-23 17:31 - Adrian Föder

[FEATURE] Allow additional CSS and JavaScript in Backend Modules

This allows to configure the inclusion of multiple additional
CSS or JavaScript files from any desired package, for the
use in Backend Modules. Such a configuration would be for example::

TYPO3:
      Neos:
        modules:
          administration:
            submodules:
              sample:
                label: 'An example module'
                controller:
'Acme\Foobar\Controller\Module\Administration\SampleController'
                description: >
                  This is just a description for the controller.
                  Note the additional "resources.css|js" directives.
                icon:
'resource://TYPO3.Neos/Public/Images/Icons/Black/notepad_icon-24.png'
                additionalResources:
                  styleSheets:
                    - resource://Acme.Foobar/Public/Css/Module/Sample.css
                  javaScripts:
                    - resource://Acme.Foobar/Public/JavaScript/Module/Foo.js
                    - resource://Acme.Foobar/Public/JavaScript/Module/Bar.js

Besides, it removes the obsolete ``type`` argument at the
``<link rel="stylesheet" ...`` tag.

Change-Id: Ibaf7d380f550f7134d6833e26466ccb45ec01800
Resolves: #43156

History
#1 - 2012-11-20 17:14 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16623

#2 - 2012-11-20 17:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16623

#3 - 2012-11-21 11:35 - Aske Ertmann
- Status changed from Accepted to Under Review

#4 - 2012-11-23 17:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16623

#5 - 2013-02-13 12:43 - Adrian Föder
- Status changed from Under Review to Resolved

Merged.
